Subject: ANNOUNCE: v1.138 t2html.pl Text to html conversion script, Perl 5.004+
From: [email-masked] (Jari Aalto+mail.perl)
Date: 26 Nov 1998 03:36:47 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Download

	ANNOUNCE: v1.138 t2html.pl Text to html conversion script, Perl 5.004+

	Home page:

	    ftp://cs.uta.fi/pub/ssjaaa/t2html.html

	Available by Email:

	    To: <[email-masked]>
	    Subject: send t2html.pl

        Perl language interpreter pointers at (Win32/Unix etc.)

	    http://language.perl.com/info/software.html

What's new

    Faster and Cleaner HTML code generation.

	The HTML markup code was completely rewritten and the
	--html-column-color option was made obsolete. Colours are now coming
	from CSS.

	This version now generates HTML 2x faster, eg. my 600k Procmail
	faq PAGE now takes 33secs on HP-UX, where it used to take 70secs.

    HTML 4.0 CSS now supported

	The generated html contains default HTML 4.x CSS (Cascading Style
	Sheet) information which you can easily modify. The new CSS takes
	advantage of some nice MSIE "hoovering" of links to make HTML
	pages more responsive.

	You can import your own CSS or Jave code with --java-file switch.

Description

        Writing text documents is different from writing messages to Usenet
        or to your fellow workers. There already exists several tools to
        convert email messages into html, like MHonArc, Email hyper
        archiver, but for regular text documents, like for memos, FAQs,
        help pages and for other papers, I didn't find any suitable html
        converter couple of years back.

        I wanted a simple html tool which would read text documents I
        maintained: several Emacs guides, procmail tips page, program
        documentations, my home pages etc. and convert them into html. And
        here you will find the specification how to format your text
        documents for *t2html* perl script.

	Program has html Link validation commands (uses LWP)

How it works

	Text must be placed at certain column positions to enable proper
	html formatting. The style used is called Technical format (TF).
	You're looking at TF format right now. TF specification is included
	in the t2html.pl --help.

        You need nothing else but a text editor where the current column
        number is displayed or editor that advances your TAB by 4 spaces.
        That's it.

Comparision to existing txt2html.pl

	The t2html.pl is different that text2html.pl in following respect:

	[t2html]

	o   Requires that you really format your text into
	    TF layout like this message. This ensures that all your documents
	    look similar.
	o   was designed to meet requirements of formally written
	    text, such as official MEMOs, FAQs, drafs, lectures...
	o   Generates coloured html pages: --html-colour
	o   Generates Framed html pages: --html-frame

	[text2html]

	o   txt2html.pl uses normal text file and requires no previous
	    markup.

Emacs and minor mode for helping to write TF

        If word `Emacs' means anything to you, then you can use additional
        Emacs minor mode (package TinyTf.el) that I wrote especially to
        help writing documents, formatting paragraphs, auto filling bullets
        and keeping TOC up to date. The description of the Emacs package is
        added to the page. If you don't know about Emacs but got
        interested, then see these for more Emacs info:

            ftp://cs.uta.fi/pub/ssjaaa/elisp.html
            ftp://cs.uta.fi/pub/ssjaaa/ema-tiny.html
            ftp://cs.uta.fi/pub/ssjaaa/tiny-tools.tar.gz  (contains tinytf.el)

Todo

    HTML Split feature

	This would be nice, but it's hard to implement, especially with
	frame support. Don't expect it appear in near future.

    Configuration file

	There are dozen of options and it would be nice if the files you
	convert can be specified from Perl configuration file.

    Better linkin capabilities

	Currently the linking of separate documents must be instructed by
	hand with separate options:

		--button-next
		--button-previous
		--button-top		(usually index.html)

End